Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlMessageExchangeStepResult

    java.lang.Object
      com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStepResult
          com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageExchangeStepResult

All Implemented Interfaces:
  TestStepResult

    public class WsdlMessageExchangeStepResult

extends WsdlTestStepResult

TestStep Result for a WsdlMessageExchange

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.testsuite.TestStepResult
`TestStepResult.TestStepStatus`

Constructor Summary
`WsdlMessageExchangeStepResult(WsdlTestStep step)`

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)`
`void` | `discard()` Can discard any result data that may be taking up memory.
`StringToStringMap` | `getProperties()`
`java.lang.String` | `getRequestContent()`
`void` | `setMessageExchange(WsdlMessageExchange messageExchange)`
`void` | `writeTo(java.io.PrintWriter writer)` Writes this result to the specified writer, used for logging.

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStepResult
`addAction, addMessage, getActions, getError, getMessages, getSize, getStatus, getTestStep, getTimeStamp, getTimeTaken, isDiscarded, setError, setSize, setStatus, setTimeStamp, setTimeTaken, startTimer, stopTimer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlMessageExchangeStepResult

    public WsdlMessageExchangeStepResult(WsdlTestStep step)

Method Detail

### setMessageExchange

    public void setMessageExchange(WsdlMessageExchange messageExchange)

### getRequestContent

    public java.lang.String getRequestContent()

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

### discard

    public void discard()

  Description copied from interface: `TestStepResult`
  Can discard any result data that may be taking up memory. Timing-values must not be discarded.

  Specified by:
    `discard` in interface `TestStepResult`
  Overrides:
    `discard` in class `WsdlTestStepResult`

### writeTo

    public void writeTo(java.io.PrintWriter writer)

  Description copied from interface: `TestStepResult`
  Writes this result to the specified writer, used for logging.

  Specified by:
    `writeTo` in interface `TestStepResult`
  Overrides:
    `writeTo` in class `WsdlTestStepResult`

### getProperties

    public StringToStringMap getProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.